package cn.com.ty.lift.ud.payment.mapper;


import java.util.List;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceItemEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import  com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 发票项目 -Repository
 * 
 * @author Xson
 * @date 2020-04-22
 */
public interface ApplyInvoiceItemMapper extends BaseMapper<ApplyInvoiceItemEntity> {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ApplyInvoiceItemEntity record);

    ApplyInvoiceItemEntity selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ApplyInvoiceItemEntity record);

    int updateByPrimaryKeyWithBLOBs(ApplyInvoiceItemEntity record);

    int updateByPrimaryKey(ApplyInvoiceItemEntity record);
    
    @Select("SELECT * FROM apply_invoice_item WHERE invoice_id=#{id}")
    List<ApplyInvoiceItemEntity> findByInvoiceId(@Param("id")Long id);
}
